Index: trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro
===================================================================
--- trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 208)
+++ trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 226)
@@ -5,5 +5,5 @@
 ; to any grid using the bilinear method
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -53,5 +53,6 @@
 ;  June 2006: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -65,5 +66,5 @@
 ;
   jpio = (size(olonin, /dimensions))[0]
-  jpjo = (size(olonin, /dimensions))[1]  
+  jpjo = (size(olonin, /dimensions))[1]
 ; mask check
   IF n_elements(omsk) EQ 1 AND omsk[0] EQ -1 THEN omsk = replicate(1b, jpio, jpjo)
@@ -73,5 +74,5 @@
     stop
   ENDIF
-  IF n_elements(amsk) NE jpia*jpja THEN BEGIN 
+  IF n_elements(amsk) NE jpia*jpja THEN BEGIN
     print, 'output grid mask do not have the good size'
     stop
@@ -181,5 +182,5 @@
         ind = good[ind]
 ; now, we morph the quadrilateral ocean cell into the reference square (0 -> 1)
-; in addition we get the corrdinates of the atmospheric point in this new morphed square
+; in addition we get the coordinates of the atmospheric point in this new morphed square
         IF onsphere THEN BEGIN
 ; Warning! quadrilateral2square use anticlockwise quadrilateral definition
@@ -213,5 +214,5 @@
           xy[1] EQ 0 AND (tmpmsk[0]+tmpmsk[1]) EQ 0    : foraddr[n] = -1
           xy[1] EQ 1 AND (tmpmsk[2]+tmpmsk[3]) EQ 0    : foraddr[n] = -1
-          ELSE: BEGIN 
+          ELSE: BEGIN
 ; we keep its address
         foraddr[n] = ind
Index: trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro
===================================================================
--- trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 208)
+++ trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 226)
@@ -4,5 +4,5 @@
 ; "regular grid" to any grid using the bilinear method
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -21,5 +21,5 @@
 ; @keyword NONORTHERNLINE {type=scalar 0 or 1}{default=0}
 ; put 1 if you don't want to take into
-; account the northen line of the input data when performing the interpolation.
+; account the northern line of the input data when performing the interpolation.
 ;
 ; @keyword NOSOUTHERNLINE {type=scalar 0 or 1}{default=0}
@@ -48,5 +48,6 @@
 ;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -109,10 +110,10 @@
   IF ma GE minalon+360. THEN stop
 ;
-; we want to do biliear interpolation => for each ocean point, we must
+; we want to do bilinear interpolation => for each ocean point, we must
 ; find in which atm cell it is located.
 ; if the ocean point is out of the atm grid, we use closest neighbor
 ; interpolation
 ;
-; for each T point of oce grid, we find in which armospheric cell it is
+; for each T point of oce grid, we find in which atmospheric cell it is
 ; located.
 ; As the atmospheric grid is regular, we can use inrecgrid instead
Index: trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro
===================================================================
--- trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 208)
+++ trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 226)
@@ -5,5 +5,5 @@
 ; "regular grid" to any grid using the imoms3 method
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -22,5 +22,5 @@
 ; @keyword NONORTHERNLINE {type=scalar 0 or 1}{default=0}
 ; put 1 if you don't want to take into
-; account the northen line of the input data when performing the interpolation.
+; account the northern line of the input data when performing the interpolation.
 ;
 ; @keyword NOSOUTHERNLINE {type=scalar 0 or 1}{default=0}
Index: trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- trunk/SRC/Interpolation/extrapolate.pro	(revision 208)
+++ trunk/SRC/Interpolation/extrapolate.pro	(revision 226)
@@ -1,9 +1,9 @@
 ;+
 ; @file_comments
-; extrapolate data (zinput) where maskinput eq 0 by filling step by 
+; extrapolate data (zinput) where maskinput eq 0 by filling step by
 ; step the coastline points with the mean value of the 8 neighbourgs
 ; (weighted by their mask value).
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -47,5 +47,6 @@
 ;  Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -71,5 +72,5 @@
   ztmp = bytarr(nx+2, ny+2)
   IF n_elements(maskinput) EQ 1 AND maskinput[0] EQ -1 THEN maskinput = replicate(1b, nx, ny)
-  IF n_elements(maskinput) NE nx*ny THEN BEGIN 
+  IF n_elements(maskinput) NE nx*ny THEN BEGIN
     print, 'input grid mask do not have the good size'
     return, -1
@@ -97,5 +98,5 @@
 ;
   cnt = 1
-; When we look for the coast line, we don't want to select the
+; When we look for the coastline, we don't want to select the
 ; borderlines of the array. -> we force the value of the mask for
 ; those lines.
@@ -109,5 +110,5 @@
   WHILE cnt LE nb_iteration AND cnt_land NE 0 DO BEGIN
 ;---------------------------------------------------------------
-; find the coast line points...
+; find the coastline points...
 ;---------------------------------------------------------------
 ; Once the land points list has been found, we change back the the
@@ -148,5 +149,5 @@
     weight = weight[temporary(ok)]
 ;---------------------------------------------------------------
-; fill the coastine points
+; fill the coastline points
 ;---------------------------------------------------------------
     z = temporary(z)*msk
Index: trunk/SRC/Interpolation/extrapsmooth.pro
===================================================================
--- trunk/SRC/Interpolation/extrapsmooth.pro	(revision 208)
+++ trunk/SRC/Interpolation/extrapsmooth.pro	(revision 226)
@@ -46,9 +46,9 @@
 ;-
 FUNCTION extrapsmooth, in, mskin, x_periodic = x_periodic, MINVAL = minval, MAXVAL = maxval, GE0 = ge0
-;  
-  compile_opt strictarr, strictarrsubs 
 ;
-  sz = size(reform(in))  
-  IF sz[0] NE 2 THEN BEGIN 
+  compile_opt strictarr, strictarrsubs
+;
+  sz = size(reform(in))
+  IF sz[0] NE 2 THEN BEGIN
     print, 'Input arrays must have 2 dimensions'
     return, -1
@@ -57,5 +57,5 @@
   ny = sz[2]
   IF n_elements(mskin) EQ 1 AND mskin[0] EQ -1 THEN mskin = replicate(1b, nx, ny)
-  IF n_elements(mskin) NE nx*ny THEN BEGIN 
+  IF n_elements(mskin) NE nx*ny THEN BEGIN
     print, 'input grid mask do not have the good size'
     return, -1
@@ -65,5 +65,5 @@
   whmsk = where(mskin EQ 0, nbr)
   IF nbr NE 0 THEN out[temporary(whmsk)] = !values.f_nan
-; add values on each side of the array to avoid bondary effects
+; add values on each side of the array to avoid boundary effects
   nx2 = nx/2
   ny2 = ny/2
@@ -74,5 +74,5 @@
     add2 = out[nx-nx2:nx-1, *]
     out = [add2, [temporary(out)], add1]
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     add = replicate(!values.f_nan, nx2, ny+2*ny2)
     out = [add, [temporary(out)], add]
Index: trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- trunk/SRC/Interpolation/get_gridparams.pro	(revision 208)
+++ trunk/SRC/Interpolation/get_gridparams.pro	(revision 226)
@@ -142,5 +142,5 @@
         1:BEGIN
           IF array_equal(lon, lon[*, 0] # replicate(1, jpj)) NE 1 THEN BEGIN
-            print, 'Longitudes are not the same for all latitudes, imposible to extract a 1D array of the longitudes'
+            print, 'Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes'
             stop
           ENDIF
@@ -163,5 +163,5 @@
         1:BEGIN
           IF array_equal(lat, replicate(1, jpi) # lat[0, *]) NE 1 THEN BEGIN
-            print, 'Latitudes are not the same for all longitudes, imposible to extract a 1D array of the latitudes'
+            print, 'Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes'
             stop
           ENDIF
@@ -184,10 +184,10 @@
         1:BEGIN
           IF array_equal(lon, lon[*, 0] # replicate(1, jpj)) NE 1 THEN BEGIN
-            print, 'Longitudes are not the same for all latitudes, imposible to extract a 1D array of the longitudes'
+            print, 'Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes'
             stop
           ENDIF
           lon = lon[*, 0]
           IF array_equal(lat, replicate(1, jpi) # reform(lat[0, *])) NE 1 THEN BEGIN
-            print, 'Latitudes are not the same for all longitudes, imposible to extract a 1D array of the latitudes'
+            print, 'Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes'
             stop
           ENDIF
Index: trunk/SRC/Interpolation/inquad.pro
===================================================================
--- trunk/SRC/Interpolation/inquad.pro	(revision 208)
+++ trunk/SRC/Interpolation/inquad.pro	(revision 226)
@@ -3,5 +3,5 @@
 ; to find if an (x,y) point is in a quadrilateral (x1,x2,x3,x4)
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -205,8 +205,8 @@
 ;
 ; computation of test without any do loop for ntofind points (x,y) and
-; nquad quadilateral((x1,x2,x3,x4),(y1,y2,y3,y4))
+; nquad quadrilateral((x1,x2,x3,x4),(y1,y2,y3,y4))
 ; test dimensions are (ntofind, nquad)
 ; column i of test corresponds to the intersection of point i with all
-; quadirlateral.
+; quadrilateral.
 ; row j of test corresponds to all the points localized in cell j
   test = $
